apiVersion: apps/v1
kind: Deployment
metadata:
  name: database
spec:
  selector:
    matchLabels:
      app: database
  template:
    metadata:
      labels:
        app: database
      annotations:
        sidecar.istio.io/rewriteAppHTTPProbers: "true"
    spec:
      containers:
        - name: database
          image: vinishareddy789/people-mysql:latest
          imagePullPolicy: Always
          ports:
          - containerPort: 3306
---
apiVersion: v1
kind: Service
metadata:
  name: database
spec:
  type: ClusterIP
  selector:
    app: database
  ports:
  - name: databse
    port: 3306
    targetPort: 3306
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: people-service
spec:
  selector:
    matchLabels:
      app: people-service
  template:
    metadata:
      labels:
        app: people-service
    spec:
      terminationGracePeriodSeconds: 5
      initContainers:
      - name: init-db
        image: busybox
        command: ['sh', '-c', 'until nslookup database; do echo waiting for mysql service; sleep 2; done;']
      containers:
      - name: server
        image: vinishareddy789/people-service:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
        env:
        - name: MYSQL_HOST
          value: "database"
        - name: MYSQL_DATABASE
          value: "db"
        - name: MYSQL_USER
          value: "user"
        - name: MYSQL_PASSWORD
          value: "password"
---
apiVersion: v1
kind: Service
metadata:
  name: people-service
spec:
  type: LoadBalancer
  selector:
    app: people-service
  ports:
  - name: service
    port: 8080
    targetPort: 8080
---